summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rwxr-xr-xsource/l/ffmpeg/ffmpeg.SlackBuild2
-rw-r--r--source/l/ffmpeg/slack-desc2
-rwxr-xr-xsource/l/mozilla-nss/mozilla-nss.SlackBuild2
-rwxr-xr-xsource/xfce/garcon/garcon.SlackBuild10
-rw-r--r--source/xfce/garcon/garcon.url1
5 files changed, 11 insertions, 6 deletions
diff --git a/source/l/ffmpeg/ffmpeg.SlackBuild b/source/l/ffmpeg/ffmpeg.SlackBuild
index 1183a4cc0..3da80efca 100755
--- a/source/l/ffmpeg/ffmpeg.SlackBuild
+++ b/source/l/ffmpeg/ffmpeg.SlackBuild
@@ -30,7 +30,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=ffmpeg
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
diff --git a/source/l/ffmpeg/slack-desc b/source/l/ffmpeg/slack-desc
index 502d1410e..2f76640dc 100644
--- a/source/l/ffmpeg/slack-desc
+++ b/source/l/ffmpeg/slack-desc
@@ -14,6 +14,6 @@ ffmpeg: that humans and machines have created. It supports the most obscure
ffmpeg: ancient formats up to the cutting edge. It includes libavcodec, the
ffmpeg: leading audio/video codec library.
ffmpeg:
-ffmpeg: ffmpeg home: https://ffmpeg.org/
+ffmpeg: Homepage: https://ffmpeg.org/
ffmpeg:
ffmpeg:
diff --git a/source/l/mozilla-nss/mozilla-nss.SlackBuild b/source/l/mozilla-nss/mozilla-nss.SlackBuild
index 82cf46eba..efc3b1459 100755
--- a/source/l/mozilla-nss/mozilla-nss.SlackBuild
+++ b/source/l/mozilla-nss/mozilla-nss.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mozilla-nss
SRCNAM=nss
-VERSION=${VERSION:-3.40.1}
+VERSION=${VERSION:-3.41}
NSPR=${NSPR:-4.20}
BUILD=${BUILD:-1}
diff --git a/source/xfce/garcon/garcon.SlackBuild b/source/xfce/garcon/garcon.SlackBuild
index 4d560679b..3954dc4e9 100755
--- a/source/xfce/garcon/garcon.SlackBuild
+++ b/source/xfce/garcon/garcon.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=garcon
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -70,7 +70,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
@@ -80,6 +80,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+if [ ! -r configure ]; then
+ NOCONFIGURE=1 ./autogen.sh
+fi
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/xfce/garcon/garcon.url b/source/xfce/garcon/garcon.url
new file mode 100644
index 000000000..9980ede87
--- /dev/null
+++ b/source/xfce/garcon/garcon.url
@@ -0,0 +1 @@
+https://github.com/xfce-mirror/garcon/releases